<script setup lang="ts">
import { defineProps } from "vue";
import { useSidebar } from "../stores/useSidebar";
import SidebarOpenButton from "./SidebarOpenButton.vue";

const props = defineProps<{
  title: string;
}>();

const sidebar = useSidebar();
</script>

<template>
  <header class="sticky top-0 z-10 bg-white">
    <div class="flex h-16 items-center justify-start gap-4 border-b p-4">
      <SidebarOpenButton v-if="!sidebar.isOpen" />
      <div>{{ props.title }}</div>
    </div>
  </header>
</template>
